Subject: Re: bug#22543: 404 in Manualpage

From: Alex Kost <[email-masked]>
Date: Wed, 17 Feb 2016 12:29:25 +0300

Nils Gillmann (2016-02-16 12:56 +0300) wrote:

>>> I don't think you can send a patch for this.  According to
>>> <https://www.gnu.org/software/guix/manual/>:
>>>
>>>  (This page generated by the gendocs.sh¹ script.)
>
>>> This "gendocs.sh" uses "texi2html" to convert our texinfo documentation
>>> (see "doc/guix.texi" in the guix git repo) to the html page.  In
>>> "guix.texi" the link you are talking about is a usual link to the
>>> "gnutls-guile" manual.  I didn't look at "texi2html" but I believe by
>>> default it just assumes that all the manuals are placed at
>>> "www.gnu.org/software/<package>/manual/", so for "external" manuals the
>>> generated links are false.  For example, there are also wrong links to
>>> Geiser and Magit-Popup manuals.
>>>
>>> So I think it's a general thing for all generated manuals that are
>>> placed on "gnu.org".
>>>
>>> ¹ http://git.savannah.gnu.org/cgit/gnulib.git/plain/build-aux/gendocs.sh
>
> Okay, so I guess it's related to #22651 and it#s not fixable the
> way I want to (edit the source), or at least what I would want to
> do is not optimal and it should be fixed in some other way.
>
> Didn't look into it yet, but should we follow #22651 for the 404s?

As I see it, these issues about online manual are totally unrelated to
Guix itself.  If there is something to do about it, it should be done in
some other place (where .texi files are converted into html pages for
gnu.org).

-- 
Alex